> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve device access to a workspace



## OpenAPI

````yaml /openapi.json post /api/v1/device-authorizations/{code}/approve
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/device-authorizations/{code}/approve:
    post:
      summary: Approve device access to a workspace
      operationId: approveDeviceAuthorization
      parameters:
        - name: code
          in: path
          required: true
          schema:
            type: string
            minLength: 8
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceAuthorizationApproval'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceAuthorizationDecision'
      security:
        - cookieAuth: []
components:
  schemas:
    DeviceAuthorizationApproval:
      type: object
      properties:
        workspace:
          type: string
          minLength: 1
      required:
        - workspace
      additionalProperties: false
    DeviceAuthorizationDecision:
      type: object
      properties:
        status:
          type: string
          enum:
            - approved
            - denied
        workspace:
          type: string
          nullable: true
      required:
        - status
        - workspace
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie

````